//
//  BYBasePickerScrollView.h
//  pickerScollview
//
//  Created by qiubing on 2017/5/4.
//  Copyright © 2017年 qbiboyaa. All rights reserved.
//

#import <UIKit/UIKit.h>
typedef void(^btnClickBlock)(NSInteger btnTag);
@interface BYBasePickerScrollView : UIView

/**
 点击item回调block
 */
@property(nonatomic,strong)btnClickBlock btnAfterClick;
/**
 创建选择器

 @param itemArray item名称
 @param width 每个item宽
 @param itemsBackgroundColor item背景颜色
 @param itemsNormalColor item文字没被选中的颜色
 @param itemsSelectedColor item文字被选中的颜色
 */
-(void)pickerSVWithArray:(NSArray *)itemArray
              ItemsWidth:(CGFloat)width
              ItemsBackgroundColor:(UIColor *)itemsBackgroundColor
        ItemsNormalColor:(UIColor *)itemsNormalColor
      ItemsSelectedColor:(UIColor *)itemsSelectedColor;
@end
