//
//  ViewController.m
//  pickerScollview
//
//  Created by qiubing on 2017/5/4.
//  Copyright © 2017年 qbiboyaa. All rights reserved.
//

#import "ViewController.h"
#import "SenViewController.h"
#define Qwidth self.view.bounds.size.width
#define Qheight self.view.bounds.size.height
#define random arc4random() % 256/255.0
const int itemNumber = 8;

@interface ViewController ()<UIScrollViewDelegate>
@property(nonatomic,strong)UIButton *currentBtn;
@property(nonatomic,strong)UIScrollView *pickerScollView;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIButton *la = [[UIButton alloc] initWithFrame:CGRectMake(Qwidth/2.0-.5, 0, 1, Qheight)];
    la.backgroundColor = [UIColor cyanColor];
    [self.view addSubview:la];
    
    UIButton *push = [UIButton buttonWithType:UIButtonTypeCustom];
    push.frame = CGRectMake(Qwidth/2.0-30, 200, 60, 60);
    [push addTarget:self action:@selector(pushVC) forControlEvents:UIControlEventTouchUpInside];
    push.backgroundColor = [UIColor redColor];
    [push setTitle:@"跳转" forState:UIControlStateNormal];
    [self.view addSubview:push];
    
    
    //创建pick
    _pickerScollView = [[UIScrollView alloc] initWithFrame:CGRectMake(0, 44, Qwidth, 50)];
    _pickerScollView.backgroundColor = [UIColor redColor];
    [self.view addSubview:_pickerScollView];
//    pickerScollView.pagingEnabled = YES;
    _pickerScollView.showsHorizontalScrollIndicator = NO;
    _pickerScollView.bounces = NO;
    _pickerScollView.delegate = self;
    //偏转长度
    _pickerScollView.contentSize = CGSizeMake(100*itemNumber, 50);
    NSLog(@"----%f", _pickerScollView.contentSize.width);
    NSArray *nameA = [NSArray arrayWithObjects:@"1",@"2",@"3",@"4",@"5",@"6",@"7",@"8", nil];
    //创建item
    for (int i=0; i<itemNumber; i++) {
        UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
        button.frame = CGRectMake(100*i, 0, 100, 50);
        button.backgroundColor = [UIColor colorWithRed:random green:random blue:random alpha:1];
        [button setTitleColor:[UIColor redColor] forState:UIControlStateSelected];
        [button setTitle:nameA[i] forState:UIControlStateNormal];
        [_pickerScollView addSubview:button];
        button.tag = 22+i;
        [button addTarget:self action:@selector(click:) forControlEvents:UIControlEventTouchUpInside];
        if (button.tag == 22) {
            button.selected = YES;
            _currentBtn = button;
            
        }
    }
    
}
-(void)click:(UIButton *)sender{
    _currentBtn.selected = NO;
    sender.selected = YES;
    _currentBtn = sender;
//    long i = sender.tag-22;
    if (sender.frame.origin.x > _pickerScollView.contentSize.width-Qwidth/2.0-50.0 ) {
        _pickerScollView.contentOffset = CGPointMake(_pickerScollView.contentSize.width-Qwidth, 0);
    
    }else if (sender.frame.origin.x < Qwidth/2.0-50.0){
        _pickerScollView.contentOffset = CGPointMake(0, 0);
    }else{
        _pickerScollView.contentOffset = CGPointMake(sender.frame.origin.x+50-Qwidth/2.0, 0);
    }
}
-(void)pushVC{
    [self presentViewController:[[SenViewController alloc] init] animated:YES completion:^{
        
    }];
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
